/*
 * SaveTemperatureAction.hpp
 *
 *  Created on: May 10, 2010
 *      Author: heber
 */

#ifndef SAVETEMPERATUREACTION_HPP
#define SAVETEMPERATUREACTION_HPP

#include "Actions/Action.hpp"


class MoleculeListClass;

void MoleculeSaveTemperature(std::string &temperaturefile);

class MoleculeSaveTemperatureAction : public Action {
  friend void MoleculeSaveTemperature(std::string &temperaturefile);

public:
  MoleculeSaveTemperatureAction();
  virtual ~MoleculeSaveTemperatureAction();

  bool canUndo();
  bool shouldUndo();

  virtual const std::string getName();
protected:
  virtual Dialog * fillDialog(Dialog *dialog);
private:
  virtual void getParametersfromValueStorage();
  virtual Action::state_ptr performCall();
  virtual Action::state_ptr performUndo(Action::state_ptr);
  virtual Action::state_ptr performRedo(Action::state_ptr);

  static const char NAME[];
};


#endif // SAVETEMPERATUREACTION_HPP
